using System;
using System.Collections.Generic;
using System.Text;
using System.Diagnostics;
using System.Windows.Forms;


namespace lc
{
    class Program
    {
        static void Main(string[] args)
        {
            if (args.Length < 2)
            {
                MessageBox.Show("Usage: lc affinity command args...", "lc", MessageBoxButtons.OK, MessageBoxIcon.Information);
                return;
            }
            try
            {
                IntPtr affinity = new IntPtr(Int32.Parse(args[0]));
                Process me = Process.GetCurrentProcess();
                ProcessStartInfo startInfo = me.StartInfo;
                startInfo.FileName = args[1];
                startInfo.Arguments = "";
                for (int i = 2; i < args.Length; i++)
                {
                    startInfo.Arguments += args[i] + " ";
                }
                Process p = Process.Start(startInfo);
                p.ProcessorAffinity = affinity;
            }
            catch (Exception e)
            {
                MessageBox.Show(e.Message, "lc", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }
    }
}
